<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* calendar-form-edit.twig */
class __TwigTemplate_be0dccbde228bfb5ae620aea214024943163d33ec5a99b8146c5118a89bb41ed extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "calendar-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "calendar-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Edit Calendar");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        // line 32
        echo "    <div class=\"row\">

        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#generalTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 36
        echo __("Configuration");
        echo "</span></a></li>
            <li><a href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 37
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"dropdown\">
                <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 40
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"#templateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Main");
        echo "</span></a></li>
                    <li><a href=\"#currentEventTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Current Event");
        echo "</span></a></li>
                    <li><a href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("No Data");
        echo "</span></a></li>
                    <li><a href=\"#optionalStylesheetTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 46
        echo __("Optional Stylesheet");
        echo "</span></a></li>
                </ul>
            </li>
            <li><a href=\"#cachingTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 49
        echo __("Caching");
        echo "</span></a></li>
        </ul>

        <div class=\"col-md-12\">
            <form id=\"calendarFormEdit\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 53
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">

                    <div class=\"tab-pane active\" id=\"generalTab\">
                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        echo $context["forms"]->getcheckbox("durationIsPerItem", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "
                        ";
        // line 76
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 80
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 81
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 82
($context["inheritOption"] ?? null)]];
        // line 84
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 88
        ob_start(function () { return ''; });
        echo __("Feed URL");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 89
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Link for the iCal Feed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        echo $context["forms"]->getinput("uri", ($context["title"] ?? null), $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "uri"], "method")), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 93
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Interval");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Using natural language enter a string representing the period for which events should be returned, for example 2 days or 1 week.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        echo $context["forms"]->getinput("customInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "customInterval"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 97
        ob_start(function () { return ''; });
        echo __("Number of Items");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Number of items you want to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        echo $context["forms"]->getnumber("numItems", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "numItems"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 101
        ob_start(function () { return ''; });
        echo __("Exclude all day events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When all day events are excluded they are removed from the list of events in the feed and wont be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 103
        echo "                        ";
        echo $context["forms"]->getcheckbox("excludeAllDay", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "excludeAllDay"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 105
        ob_start(function () { return ''; });
        echo __("Exclude current events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("When current events are excluded they are removed from the list of events in the feed and wont be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        echo $context["forms"]->getcheckbox("excludeCurrent", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "excludeCurrent"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 109
        ob_start(function () { return ''; });
        echo __("Use event timezone?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 110
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an event specifies a timezone, should it be used. Deselection means the CMS timezone will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        echo $context["forms"]->getcheckbox("useEventTimezone", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "useEventTimezone", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 113
        ob_start(function () { return ''; });
        echo __("Use calendar timezone?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 114
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If use event timezone is selected and your calendar feed specifies its own time zone should this be used? Deselecting means the CMS timezone will be used.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        echo $context["forms"]->getcheckbox("useCalendarTimezone", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "useCalendarTimezone", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 117
        ob_start(function () { return ''; });
        echo __("Windows format Calendar?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 118
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Does the calendar feed come from Windows - if unsure leave unselected.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        echo $context["forms"]->getcheckbox("windowsFormatCalendar", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "windowsFormatCalendar", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, $this->getAttribute(($context["helpService"] ?? null), "address", [0 => "media_module_calendar.html"], "method"), "html", null, true);
        $context["manualUrl"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("The format to apply to dates. See the <a href=\"%manualUrl%\">Manual</a> for allowed formats."), array("%manualUrl%" => ($context["manualUrl"] ?? null), ));
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 127
        echo "                        ";
        echo $context["forms"]->getinput("dateFormat", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 129
        ob_start(function () { return ''; });
        echo __("Show items side by side?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should items be shown side by side?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 131
        echo "                        ";
        echo $context["forms"]->getcheckbox("itemsSideBySide", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "itemsSideBySide"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 133
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 135
        echo "
                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Show all items");
        $context["showAll"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Paged");
        $context["showPaged"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 141
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 142
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "showAll", "label" =>         // line 143
($context["showAll"] ?? null)], 1 => ["id" => "showPaged", "label" =>         // line 144
($context["showPaged"] ?? null)]];
        // line 146
        echo "
                        ";
        // line 147
        ob_start(function () { return ''; });
        echo __("No effect - all items are shown");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        $context["showAllOptions"] = [0 => ["effectid" => "none", "effect" =>         // line 149
($context["noneOption"] ?? null)], 1 => ["effectid" => "marqueeLeft", "effect" =>         // line 150
($context["marqueeLeft"] ?? null)], 2 => ["effectid" => "marqueeRight", "effect" =>         // line 151
($context["marqueeRight"] ?? null)], 3 => ["effectid" => "marqueeUp", "effect" =>         // line 152
($context["marqueeUp"] ?? null)], 4 => ["effectid" => "marqueeDown", "effect" =>         // line 153
($context["marqueeDown"] ?? null)]];
        // line 155
        echo "
                        ";
        // line 156
        ob_start(function () { return ''; });
        echo __("No transition");
        $context["noTransitionOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 159
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 161
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 163
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 164
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 165
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 166
        echo "                        ";
        $context["showPagedOptions"] = [0 => ["effectid" => "noTransition", "effect" =>         // line 167
($context["noTransitionOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 168
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 169
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 170
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 171
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 172
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 173
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 174
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 175
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 176
($context["tileBlind"] ?? null)]];
        // line 178
        echo "                        ";
        echo $context["forms"]->getdropdown("effect", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "effect"], "method"), ["showAll" => ($context["showAllOptions"] ?? null), "showPaged" => ($context["showPagedOptions"] ?? null)], "effectid", "effect", ($context["helpText"] ?? null), "l", "", "", "", "", ($context["optionGroups"] ?? null));
        echo "

                        ";
        // line 180
        ob_start(function () { return ''; });
        echo __("Items per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 181
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an effect has been selected how many pages should we split the items across? If you don't enter anything here 1 item will be put on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 182
        echo "                        ";
        echo $context["forms"]->getnumber("itemsPerPage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "itemsPerPage"], "method"), ($context["helpText"] ?? null), "effect-controls");
        echo "
                    </div>


                    <div class=\"tab-pane\" id=\"templateTab\">

                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 189
        echo __("Main Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"template_advanced\" name=\"template_advanced\" ";
        // line 190
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "template_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        // line 191
        echo "                                data-size=\"small\"
                                data-label-text=\"";
        // line 192
        echo __("Visual editor");
        echo "\"
                                data-label-width=\"80px\"
                                data-on-text=\"";
        // line 194
        echo __("On");
        echo "\"
                                data-off-text=\"";
        // line 195
        echo __("Off");
        echo "\">
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 199
        ob_start(function () { return ''; });
        // line 200
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 202
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide");
        echo "

                            ";
        // line 205
        echo "                            ";
        ob_start(function () { return ''; });
        // line 206
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 207
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 208
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                            ";
        echo $context["forms"]->getmessage(($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show");
        echo "

                            ";
        // line 212
        echo "                            ";
        ob_start(function () { return ''; });
        // line 213
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 214
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 215
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 216
        echo "                            ";
        echo $context["forms"]->getmessage(($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show");
        echo "
                        </div>

                        <div class=\"form-group ckeditor_controls inline-editor-hide container-fluid\" data-linked-to=\"template\">
                            <div class=\"col-sm-6\">
                                <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 221
        echo __("Snippets");
        echo "</label>
                                <div class=\"col-sm-8 ckeditor_select_container\">
                                    <select id=\"ckeditor_snippets_select\"
                                    class=\"ckeditor_snippets_select form-control\"
                                    data-linked-to=\"template\">
                                        <option value=\"\"></option>
                                        <option value=\"Name\">Name</option>
                                        <option value=\"Summary\">Summary</option>
                                        <option value=\"Description\">Description</option>
                                        <option value=\"Location\">Location</option>
                                        <option value=\"StartDate\">StartDate</option>
                                        <option value=\"StartDate|Y-m-d H:i\">StartDate|Y-m-d H:i</option>
                                        <option value=\"EndDate\">EndDate</option>
                                        <option value=\"EndDate|Y-m-d H:i\">EndDate|Y-m-d H:i</option>
                                    </select>
                                </div>
                            </div>
                            <div class=\"col-sm-6\">
                                <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select2\">";
        // line 239
        echo __("Library");
        echo "</label>
                                <div class=\"col-sm-8\">
                                    <select id=\"ckeditor_library_select2\"
                                            class=\"ckeditor_library_select form-control\"
                                            data-width=\"100%\"
                                            data-linked-to=\"template\"
                                            data-search-url=\"";
        // line 245
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                            data-image-url=\"";
        // line 246
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.download"), "html", null, true);
        echo "?preview=1\">
                                    </select>
                                </div>
                            </div>
                        </div>

                        ";
        // line 252
        echo $context["forms"]->gettextarea("template", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "template"], "method"), "", "inline-editor-hide", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"currentEventTemplateTab\">

                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 258
        echo __("Current Event Template");
        echo "</h4>

                            <div class=\"current-event-template\">
                                <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"currentEventTemplate_advanced\" name=\"currentEventTemplate_advanced\" ";
        // line 261
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "currentEventTemplate_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        // line 262
        echo "                                    data-size=\"small\"
                                    data-label-text=\"";
        // line 263
        echo __("Visual editor");
        echo "\"
                                    data-label-width=\"80px\"
                                    data-on-text=\"";
        // line 265
        echo __("On");
        echo "\"
                                    data-off-text=\"";
        // line 266
        echo __("Off");
        echo "\">
                            </div>
                        </div>

                        ";
        // line 270
        ob_start(function () { return ''; });
        echo __("Use an alternative template for Current Events?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 271
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This will use the Players Date/Time to work out if the event showing is current.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 272
        echo "                        ";
        echo $context["forms"]->getcheckbox("useCurrentTemplate", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "useCurrentTemplate"], "method"), ($context["helpText"] ?? null));
        echo "

                        <div class=\"editor-messages current-event-template\">
                            ";
        // line 275
        ob_start(function () { return ''; });
        // line 276
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 278
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "currentEventTemplate-advanced-editor-hide");
        echo "

                            ";
        // line 280
        ob_start(function () { return ''; });
        // line 281
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 282
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 283
        echo "                            ";
        $context["simpleTextEditorMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 284
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage2"] ?? null), "currentEventTemplate-advanced-editor-show");
        echo "
                        </div>

                        <div class=\"ckeditor_controls current-event-template\" data-linked-to=\"currentEventTemplate\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 290
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\"
                                        class=\"ckeditor_snippets_select form-control\"
                                        data-linked-to=\"currentEventTemplate\">
                                            <option value=\"\"></option>
                                            <option value=\"Name\">Name</option>
                                            <option value=\"Summary\">Summary</option>
                                            <option value=\"Description\">Description</option>
                                            <option value=\"Location\">Location</option>
                                            <option value=\"StartDate\">StartDate</option>
                                            <option value=\"EndDate\">EndDate</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class=\"col-sm-6\">
                                <div class=\"form-group\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select2\">";
        // line 308
        echo __("Library");
        echo "</label>
                                    <div class=\"col-sm-8\">
                                        <select id=\"ckeditor_library_select2\"
                                                class=\"ckeditor_library_select form-control\"
                                                data-width=\"100%\"
                                                data-linked-to=\"currentEventTemplate\"
                                                data-search-url=\"";
        // line 314
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                                data-image-url=\"";
        // line 315
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.download"), "html", null, true);
        echo "?preview=1\">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 322
        ob_start(function () { return ''; });
        // line 323
        echo "                            ";
        echo __("Enter the alternative template for events that are current.");
        // line 324
        echo "                        ";
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 325
        echo "                        ";
        echo $context["forms"]->gettextarea("currentEventTemplate", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "currentEventTemplate"], "method"), ($context["helpText"] ?? null), "current-event-template", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">

                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 331
        echo __("No Data Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 332
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        // line 333
        echo "                                data-size=\"small\"
                                data-label-text=\"";
        // line 334
        echo __("Visual editor");
        echo "\"
                                data-label-width=\"80px\"
                                data-on-text=\"";
        // line 336
        echo __("On");
        echo "\"
                                data-off-text=\"";
        // line 337
        echo __("Off");
        echo "\">
                        </div>

                        ";
        // line 340
        ob_start(function () { return ''; });
        // line 341
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 343
        echo "                        ";
        echo $context["forms"]->getmessage(($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide");
        echo "

                        ";
        // line 345
        ob_start(function () { return ''; });
        // line 346
        echo "                            ";
        echo __("Enter the text to display.");
        // line 347
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 348
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 349
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 350
        echo "                        ";
        echo $context["forms"]->getmessage(($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show");
        echo "

                        ";
        // line 352
        ob_start(function () { return ''; });
        echo __("A message to display when no data is returned from the source");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 353
        echo "                        ";
        echo $context["forms"]->gettextarea("noDataMessage", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method"), ($context["helpText"] ?? null), "", "", 5);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">

                        <div class=\"form-content-title\">
                            <h4>";
        // line 359
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>

                        ";
        // line 362
        echo $context["forms"]->gettextarea("styleSheet", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "styleSheet"], "method"), "", "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cachingTab\">
                        ";
        // line 366
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 367
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 368
        echo "                        ";
        echo $context["forms"]->getnumber("updateInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 5], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "calendar-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  892 => 368,  887 => 367,  883 => 366,  876 => 362,  870 => 359,  860 => 353,  856 => 352,  850 => 350,  847 => 349,  844 => 348,  841 => 347,  838 => 346,  836 => 345,  830 => 343,  824 => 341,  822 => 340,  816 => 337,  812 => 336,  807 => 334,  804 => 333,  800 => 332,  796 => 331,  786 => 325,  783 => 324,  780 => 323,  778 => 322,  768 => 315,  764 => 314,  755 => 308,  734 => 290,  724 => 284,  721 => 283,  718 => 282,  715 => 281,  713 => 280,  707 => 278,  701 => 276,  699 => 275,  692 => 272,  687 => 271,  683 => 270,  676 => 266,  672 => 265,  667 => 263,  664 => 262,  660 => 261,  654 => 258,  645 => 252,  636 => 246,  632 => 245,  623 => 239,  602 => 221,  593 => 216,  590 => 215,  587 => 214,  584 => 213,  581 => 212,  575 => 209,  572 => 208,  569 => 207,  566 => 206,  563 => 205,  557 => 202,  551 => 200,  549 => 199,  542 => 195,  538 => 194,  533 => 192,  530 => 191,  526 => 190,  522 => 189,  511 => 182,  506 => 181,  502 => 180,  496 => 178,  494 => 176,  493 => 175,  492 => 174,  491 => 173,  490 => 172,  489 => 171,  488 => 170,  487 => 169,  486 => 168,  485 => 167,  483 => 166,  478 => 165,  473 => 164,  468 => 163,  463 => 162,  458 => 161,  453 => 160,  448 => 159,  443 => 158,  438 => 157,  434 => 156,  431 => 155,  429 => 153,  428 => 152,  427 => 151,  426 => 150,  425 => 149,  423 => 148,  419 => 147,  416 => 146,  414 => 144,  413 => 143,  411 => 142,  406 => 141,  401 => 140,  396 => 139,  391 => 138,  386 => 137,  382 => 136,  379 => 135,  374 => 134,  370 => 133,  364 => 131,  359 => 130,  355 => 129,  349 => 127,  344 => 126,  339 => 125,  335 => 124,  326 => 119,  321 => 118,  317 => 117,  311 => 115,  306 => 114,  302 => 113,  296 => 111,  291 => 110,  287 => 109,  281 => 107,  276 => 106,  272 => 105,  266 => 103,  261 => 102,  257 => 101,  251 => 99,  246 => 98,  242 => 97,  236 => 95,  231 => 94,  226 => 93,  220 => 90,  215 => 89,  211 => 88,  203 => 84,  201 => 82,  200 => 81,  199 => 80,  197 => 79,  192 => 78,  187 => 77,  183 => 76,  180 => 75,  175 => 74,  171 => 73,  165 => 71,  160 => 70,  156 => 69,  150 => 67,  145 => 66,  141 => 65,  135 => 63,  130 => 62,  126 => 61,  120 => 59,  115 => 58,  111 => 57,  104 => 53,  97 => 49,  91 => 46,  87 => 45,  83 => 44,  79 => 43,  73 => 40,  67 => 37,  63 => 36,  59 => 35,  54 => 32,  51 => 31,  46 => 28,  43 => 27,  38 => 24,  36 => 25,  30 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "calendar-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/calendar-form-edit.twig");
    }
}
